[PATCH] Attempt to upgrade kicad to 8.0.2

  • Open
  • quality assurance status badge
Details
2 participants
  • Vinicius Monego
  • peter
Owner
unassigned
Submitted by
peter
Severity
normal
P
(address . guix-patches@gnu.org)(name . Peter Polidoro)(address . peter@polidoro.io)
a424b716b8b5570c2b290d01653646884f8ca5ac.1715796821.git.peter@polidoro.io
From: Peter Polidoro <peter@polidoro.io>

---
gnu/packages/engineering.scm | 22 +++++++++++++---------
1 file changed, 13 insertions(+), 9 deletions(-)

Toggle diff (86 lines)
diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 624024b8d4..fc8974e72a 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -130,6 +130,7 @@ (define-module (gnu packages engineering)
#:use-module (gnu packages mpi)
#:use-module (gnu packages multiprecision)
#:use-module (gnu packages ncurses)
+ #:use-module (gnu packages networking)
#:use-module (gnu packages openkinect)
#:use-module (gnu packages openkinect)
#:use-module (gnu packages parallel)
@@ -1069,7 +1070,7 @@ (define-public inspekt3d
(define-public kicad
(package
(name "kicad")
- (version "7.0.11")
+ (version "8.0.2")
(source (origin
(method git-fetch)
(uri (git-reference
@@ -1077,7 +1078,7 @@ (define-public kicad
(commit version)))
(sha256
(base32
- "1qn7w6pb1n5gx73z1zqbv140chh4307y8764z7xkdvric9i48qj4"))
+ "069ycii9zvdxwxd73afd6bp975r1555yvifi9zdb77qyvn0d9nr9"))
(file-name (git-file-name name version))))
(build-system cmake-build-system)
(arguments
@@ -1089,8 +1090,8 @@ (define-public kicad
(string-append "-DOCC_INCLUDE_DIR="
#$(this-package-input "opencascade-occt")
"/include/opencascade")
- "-DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON"
"-DKICAD_USE_EGL=ON" ;because wxWidgets uses EGL
+ "-DKICAD_USE_BUNDLED_GLEW=ON"
"-DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE")
#:phases
(modify-phases %standard-phases
@@ -1122,16 +1123,16 @@ (define-public kicad
(variable "KICAD") ;to find kicad-doc
(files '("")))
(search-path-specification
- (variable "KICAD7_TEMPLATE_DIR")
+ (variable "KICAD8_TEMPLATE_DIR")
(files '("share/kicad/template")))
(search-path-specification
- (variable "KICAD7_SYMBOL_DIR")
+ (variable "KICAD8_SYMBOL_DIR")
(files '("share/kicad/symbols")))
(search-path-specification
- (variable "KICAD7_FOOTPRINT_DIR")
+ (variable "KICAD8_FOOTPRINT_DIR")
(files '("share/kicad/footprints")))
(search-path-specification
- (variable "KICAD7_3DMODEL_DIR")
+ (variable "KICAD8_3DMODEL_DIR")
(files '("share/kicad/3dmodels")))))
(native-inputs (list boost
desktop-file-utils
@@ -1139,7 +1140,8 @@ (define-public kicad
pkg-config
swig
unixodbc
- zlib))
+ zlib
+ freeglut))
(inputs (list bash-minimal
cairo
curl
@@ -1155,7 +1157,9 @@ (define-public kicad
gtk+
wxwidgets
python-wxpython
- gdk-pixbuf))
+ gdk-pixbuf
+ protobuf
+ nng))
(home-page "https://www.kicad.org/")
(synopsis "Electronics Design Automation Suite")
(description

base-commit: 28ce5085a0a4191c27aecdc085600acf585b607c
--
2.41.0
P
P
Peter Polidoro wrote on 15 May 20:23 +0200
Attempt to upgrade kicad to 8.0.2
(address . 70967@debbugs.gnu.org)
87jzjvhr3f.fsf@polidoro.io
I am running into an error when attempting to update kicad to
version 8:

CMake Error at
/gnu/store/gl26kr5v6ch5lc3ignly61kb224drijc-cmake-minimal-3.24.2/share/cmake-3.24/Modules/FindPackageHandleStandardArgs.cmake:230
(message):
Could NOT find OpenGL (missing: OPENGL_opengl_LIBRARY)

I am not sure why CMake is having trouble finding OpenGL since
mesa is still listed as an input to the kicad package.

I tried various configure-flags based on the new kicad
documentation and added some inputs that now may or may not be
needed for the latest version, but I could not get past this CMake
error.

Does anyone have any ideas for how else I can get kicad version 8 to compile? Thanks!
V
V
Vinicius Monego wrote on 15 May 23:12 +0200
2bd211923fb40425f27d9b37c0e781c61eaa6056.camel@posteo.net
Hi,

Em qua, 2024-05-15 às 14:23 -0400, Peter Polidoro escreveu:
Toggle quote (22 lines)
> I am running into an error when attempting to update kicad to
> version 8:
>
> CMake Error at
> /gnu/store/gl26kr5v6ch5lc3ignly61kb224drijc-cmake-minimal-
> 3.24.2/share/cmake-
> 3.24/Modules/FindPackageHandleStandardArgs.cmake:230
> (message):
>   Could NOT find OpenGL (missing: OPENGL_opengl_LIBRARY)
>
> I am not sure why CMake is having trouble finding OpenGL since
> mesa is still listed as an input to the kicad package.
>
> I tried various configure-flags based on the new kicad
> documentation and added some inputs that now may or may not be
> needed for the latest version, but I could not get past this CMake
> error.
>
> Does anyone have any ideas for how else I can get kicad version 8 to
> compile? Thanks!
>

Try adding libglvnd to the inputs.
P
[PATCH] gnu: kicad: Update to 8.0.2.
(address . 70967@debbugs.gnu.org)(name . Peter Polidoro)(address . peter@polidoro.io)
a523f37966d619e0572375c9a5d3aebe54c80430.1715885951.git.peter@polidoro.io
From: Peter Polidoro <peter@polidoro.io>

* (kicad): Update to 8.0.2.
---
gnu/packages/engineering.scm | 40 +++++++++++++++++++++---------------
1 file changed, 24 insertions(+), 16 deletions(-)

Toggle diff (141 lines)
diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 624024b8d4..0df9d1eafb 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -130,6 +130,7 @@ (define-module (gnu packages engineering)
#:use-module (gnu packages mpi)
#:use-module (gnu packages multiprecision)
#:use-module (gnu packages ncurses)
+ #:use-module (gnu packages networking)
#:use-module (gnu packages openkinect)
#:use-module (gnu packages openkinect)
#:use-module (gnu packages parallel)
@@ -1069,7 +1070,7 @@ (define-public inspekt3d
(define-public kicad
(package
(name "kicad")
- (version "7.0.11")
+ (version "8.0.2")
(source (origin
(method git-fetch)
(uri (git-reference
@@ -1077,7 +1078,7 @@ (define-public kicad
(commit version)))
(sha256
(base32
- "1qn7w6pb1n5gx73z1zqbv140chh4307y8764z7xkdvric9i48qj4"))
+ "069ycii9zvdxwxd73afd6bp975r1555yvifi9zdb77qyvn0d9nr9"))
(file-name (git-file-name name version))))
(build-system cmake-build-system)
(arguments
@@ -1089,7 +1090,6 @@ (define-public kicad
(string-append "-DOCC_INCLUDE_DIR="
#$(this-package-input "opencascade-occt")
"/include/opencascade")
- "-DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON"
"-DKICAD_USE_EGL=ON" ;because wxWidgets uses EGL
"-DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE")
#:phases
@@ -1122,17 +1122,20 @@ (define-public kicad
(variable "KICAD") ;to find kicad-doc
(files '("")))
(search-path-specification
- (variable "KICAD7_TEMPLATE_DIR")
+ (variable "KICAD8_TEMPLATE_DIR")
(files '("share/kicad/template")))
(search-path-specification
- (variable "KICAD7_SYMBOL_DIR")
+ (variable "KICAD8_SYMBOL_DIR")
(files '("share/kicad/symbols")))
(search-path-specification
- (variable "KICAD7_FOOTPRINT_DIR")
+ (variable "KICAD8_FOOTPRINT_DIR")
(files '("share/kicad/footprints")))
(search-path-specification
- (variable "KICAD7_3DMODEL_DIR")
- (files '("share/kicad/3dmodels")))))
+ (variable "KICAD8_3DMODEL_DIR")
+ (files '("share/kicad/3dmodels")))
+ (search-path-specification
+ (variable "KICAD_STOCK_DATA_HOME")
+ (files '("share/kicad")))))
(native-inputs (list boost
desktop-file-utils
gettext-minimal
@@ -1143,19 +1146,24 @@ (define-public kicad
(inputs (list bash-minimal
cairo
curl
+ freeglut
+ gdk-pixbuf
glew
glm
+ gtk+
hicolor-icon-theme
+ libgit2
+ libglvnd
libngspice
+ libsecret
libsm
mesa
opencascade-occt
openssl
+ protobuf
python-wrapper
- gtk+
- wxwidgets
python-wxpython
- gdk-pixbuf))
+ wxwidgets))
(home-page "https://www.kicad.org/")
(synopsis "Electronics Design Automation Suite")
(description
@@ -1177,7 +1185,7 @@ (define-public kicad-doc
(file-name (git-file-name name version))
(sha256
(base32
- "10iwp35xywdz15a83vialzfd46rjw6mlz174dxawm2rw4ws2n7j4"))))
+ "0k019zy7r7994pm6vmx3rlz99lkgfjja4ypd9x3lbf2kpahb1dgc"))))
(build-system cmake-build-system)
(arguments
`(#:configure-flags (list "-DBUILD_FORMATS=html")
@@ -1211,7 +1219,7 @@ (define-public kicad-symbols
(file-name (git-file-name name version))
(sha256
(base32
- "057zmhf4h3p3p4y6jqxch9cj1wqf129k6kmvx2gshb9lgda0kjr8"))))
+ "0w333f89yw2m0zlpkg0k6hfwlj10snm8laihdjnsb22asyz4pbhn"))))
(build-system cmake-build-system)
(arguments
`(#:tests? #f)) ; no tests exist
@@ -1240,7 +1248,7 @@ (define-public kicad-footprints
(file-name (git-file-name name version))
(sha256
(base32
- "1r9v8v41n0yrgwsqaksskmdgb9vyw1sb92xh81bwrv2ag3p5vdg7"))))
+ "10j8qjljc1fv8k4zp3zn0da33g57hn6pgrgmbgp18dsa539xvxcz"))))
(synopsis "Official KiCad footprint libraries")
(description "This package contains the official KiCad footprint libraries.")))
@@ -1257,7 +1265,7 @@ (define-public kicad-packages3d
(file-name (git-file-name name version))
(sha256
(base32
- "0lcy1av7ixg1f7arflk50jllpc1749sfvf3h62hkxsz97wkr97xj"))))
+ "04gvfb54jhnww2qwrxc27wpyrvmjasdc4xhr0ridl7dglh4qcp35"))))
(synopsis "Official KiCad 3D model libraries")
(description "This package contains the official KiCad 3D model libraries.")))
@@ -1274,7 +1282,7 @@ (define-public kicad-templates
(file-name (git-file-name name version))
(sha256
(base32
- "0mykfwwik7472i4r0isc5szj3dnmvd0538p0vlmzh4rcgj3pj3vm"))))
+ "073a6cyvzzy0vmkj3ip4ziq7b7pcizs70nm5acw838dxghjfyv3v"))))
(synopsis "Official KiCad project and worksheet templates")
(description "This package contains the official KiCad project and
worksheet templates.")))

base-commit: 5a624adfd7b14c3717237d137bd0766c77f0f570
--
2.41.0
P
P
Peter Polidoro wrote on 16 May 21:07 +0200
Re: Attempt to upgrade kicad to 8.0.2
(name . Vinicius Monego)(address . monego@posteo.net)(address . 70967@debbugs.gnu.org)
87v83dshhf.fsf@polidoro.io
Thank you, I added libglvnd and now it compiles. I submitted a new
patch.

There still seems to be an issue with OpenGL, however. The 3D
viewer does not seem to work and opening windows like the
footprint editor can trigger a window saying it cannot use OpenGL
so it is falling back to software rendering. I have tried changing
compiler options and moving some dependencies between
native-inputs and inputs, but nothing seems to fix the problem.

Vinicius Monego <monego@posteo.net> writes:

Toggle quote (26 lines)
> Hi,
>
> Em qua, 2024-05-15 às 14:23 -0400, Peter Polidoro escreveu:
>> I am running into an error when attempting to update kicad to
>> version 8:
>>
>> CMake Error at
>> /gnu/store/gl26kr5v6ch5lc3ignly61kb224drijc-cmake-minimal-
>> 3.24.2/share/cmake-
>> 3.24/Modules/FindPackageHandleStandardArgs.cmake:230
>> (message):
>>   Could NOT find OpenGL (missing: OPENGL_opengl_LIBRARY)
>>
>> I am not sure why CMake is having trouble finding OpenGL since
>> mesa is still listed as an input to the kicad package.
>>
>> I tried various configure-flags based on the new kicad
>> documentation and added some inputs that now may or may not be
>> needed for the latest version, but I could not get past this CMake
>> error.
>>
>> Does anyone have any ideas for how else I can get kicad version 8 to
>> compile? Thanks!
>>
>
> Try adding libglvnd to the inputs.
?